
QGIS Application - Bug report #19356

QGIS Desktop crash after deleting a calculated field in a table

2018-07-07 04:18 PM - Chris Welham

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 27184

Description

User Feedback

I added a new Postgres table and added a feature to my map. The table automatically created a calculated field which then deleted. QGIS

Desktop then crashed.

Report Details

Crash ID: a7e36857e966de18b04dce081b830adeb5a92895

Stack Trace

QgsFieldConstraints::constraintExpression :

QgsEditorWidgetWrapper::updateConstraint :

QgsEditorWidgetWrapper::updateConstraint :

QgsAttributeForm::updateConstraint :

QgsAttributeForm::updateConstraints :

QgsAttributeForm::onAttributeChanged :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsTextEditWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsTextEditWrapper::setWidgetValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsDualView::mFeatureList_currentEditSelectionChanged :

QMetaObject::activate :

QgsFeatureListView::currentEditSelectionChanged :

QgsFeatureListView::editSelectionChanged :

QMetaObject::activate :

QItemSelectionModel::emitSelectionChanged :

QItemSelectionModel::select :

QItemSelectionModel::select :

QgsFeatureListView::ensureEditSelection :

QMetaObject::activate :

QAbstractItemModel::modelReset :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QgsAttributeTableModel::loadLayer :

QMetaObject::activate :

QMetaObject::activate :
QgsVectorLayer::updateFields :

QgsVectorLayer::deleteAttribute :

QgsVectorLayer::deleteAttributes :

QgsAttributeTableDialog::mActionRemoveAttribute_triggered :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-07-07 11:09 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.2 - 3.0 is no longer supported.

#2 - 2018-07-08 05:41 PM - Chris Welham

Willdo - thank you.

This issue appears to not be easily reproduced - I followed a similar path after restarting QGIS and it did not crash.
#3 - 2018-08-15 11:56 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
